summaryrefslogtreecommitdiffstats
path: root/system/gcdemu
diff options
context:
space:
mode:
author Niels Horn <niels.horn@gmail.com>2011-10-04 08:19:09 -0500
committer Robby Workman <rworkman@slackbuilds.org>2011-10-11 21:20:28 -0500
commitf097f5393482b8fed448964fdcd3931fe8c4d0ac (patch)
tree1ef5e3ad488cb6dfff0309650ee7fd2e15a6745b /system/gcdemu
parent0f8cc1f14cfc21070218e784a94065c6dbd09122 (diff)
downloadslackbuilds-f097f5393482b8fed448964fdcd3931fe8c4d0ac.tar.gz
slackbuilds-f097f5393482b8fed448964fdcd3931fe8c4d0ac.tar.xz
system/gcdemu: Added (gtk applet for controlling CDEmu daemon)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'system/gcdemu')
-rw-r--r--system/gcdemu/README9
-rw-r--r--system/gcdemu/doinst.sh13
-rw-r--r--system/gcdemu/gcdemu.SlackBuild69
-rw-r--r--system/gcdemu/gcdemu.info10
-rw-r--r--system/gcdemu/slack-desc19
5 files changed, 120 insertions, 0 deletions
diff --git a/system/gcdemu/README b/system/gcdemu/README
new file mode 100644
index 0000000000..26090d29e1
--- /dev/null
+++ b/system/gcdemu/README
@@ -0,0 +1,9 @@
+gCDEmu provides a graphic interface that allows performing the key tasks
+related to controlling the CDEmu daemon, such as loading and unloading
+devices, displaying devices' status and retrieving/setting devices'
+debug masks.
+
+In addition, the applet listens to signals emitted by CDEmu daemon and
+provides notifications via libnotify.
+
+This requires GConf, gnome-python and cdemu-daemon.
diff --git a/system/gcdemu/doinst.sh b/system/gcdemu/doinst.sh
new file mode 100644
index 0000000000..85ee730b65
--- /dev/null
+++ b/system/gcdemu/doinst.sh
@@ -0,0 +1,13 @@
+schema_install() {
+ SCHEMA="$1"
+ GCONF_CONFIG_SOURCE="xml::etc/gconf/gconf.xml.defaults" \
+ chroot . gconftool-2 --makefile-install-rule \
+ /etc/gconf/schemas/$SCHEMA \
+ 1>/dev/null
+}
+
+schema_install gcdemu.schemas
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/system/gcdemu/gcdemu.SlackBuild b/system/gcdemu/gcdemu.SlackBuild
new file mode 100644
index 0000000000..04007ac09e
--- /dev/null
+++ b/system/gcdemu/gcdemu.SlackBuild
@@ -0,0 +1,69 @@
+#!/bin/sh
+
+# Slackware build script for gcdemu
+#
+# Copyright 2011 Niels Horn, Rio de Janeiro, RJ, Brazil
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Revision date: 2011/09/24
+
+PRGNAM=gcdemu
+VERSION=${VERSION:-1.4.0}
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+rw,go+r-w .
+
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp AUTHORS ChangeLog COPYING INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/gcdemu/gcdemu.info b/system/gcdemu/gcdemu.info
new file mode 100644
index 0000000000..a9d1ae1c8f
--- /dev/null
+++ b/system/gcdemu/gcdemu.info
@@ -0,0 +1,10 @@
+PRGNAM="gcdemu"
+VERSION="1.4.0"
+HOMEPAGE="http://cdemu.sourceforge.net/pkg_gcdemu.php"
+DOWNLOAD="http://downloads.sourceforge.net/cdemu/gcdemu-1.4.0.tar.gz"
+MD5SUM="28f8fbe94b63a8cc52c861afe45bd374"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Niels Horn"
+EMAIL="niels.horn@gmail.com"
+APPROVED="Erik Hanson"
diff --git a/system/gcdemu/slack-desc b/system/gcdemu/slack-desc
new file mode 100644
index 0000000000..618cd08c87
--- /dev/null
+++ b/system/gcdemu/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |----------------------------handy-ruler-------------------------------|
+gcdemu: gcdemu (gtk applet for controlling CDEmu daemon)
+gcdemu:
+gcdemu: It provides a graphic interface that allows performing the key tasks
+gcdemu: related to controlling the CDEmu daemon, such as loading and unloading
+gcdemu: devices, displaying devices' status and retrieving/setting devices'
+gcdemu: debug masks.
+gcdemu:
+gcdemu: Homepage: http://cdemu.sourceforge.net/pkg_gcdemu.php
+gcdemu:
+gcdemu:
+gcdemu: